aboutsummaryrefslogtreecommitdiffstats
path: root/vendor/bin
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/bin')
-rwxr-xr-xvendor/bin/generate_vcards5
-rwxr-xr-xvendor/bin/naturalselection2
-rwxr-xr-xvendor/bin/sabredav2
-rwxr-xr-xvendor/bin/vobject5
4 files changed, 10 insertions, 4 deletions
diff --git a/vendor/bin/generate_vcards b/vendor/bin/generate_vcards
index a6bdfa274..b484cc11e 100755
--- a/vendor/bin/generate_vcards
+++ b/vendor/bin/generate_vcards
@@ -108,7 +108,10 @@ if (PHP_VERSION_ID < 80000) {
}
}
- if (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper')) {
+ if (
+ (function_exists('stream_get_wrappers') && in_array('phpvfscomposer', stream_get_wrappers(), true))
+ || (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper'))
+ ) {
include("phpvfscomposer://" . __DIR__ . '/..'.'/sabre/vobject/bin/generate_vcards');
exit(0);
}
diff --git a/vendor/bin/naturalselection b/vendor/bin/naturalselection
index 586050de8..d13c00bb3 100755
--- a/vendor/bin/naturalselection
+++ b/vendor/bin/naturalselection
@@ -23,7 +23,7 @@ if [ -d /proc/cygdrive ]; then
esac
fi
-export COMPOSER_BIN_DIR=$(cd "${self%[/\\]*}" > /dev/null; pwd)
+export COMPOSER_RUNTIME_BIN_DIR="$(cd "${self%[/\\]*}" > /dev/null; pwd)"
# If bash is sourcing this file, we have to source the target as well
bashSource="$BASH_SOURCE"
diff --git a/vendor/bin/sabredav b/vendor/bin/sabredav
index 73bfa6039..6e915f637 100755
--- a/vendor/bin/sabredav
+++ b/vendor/bin/sabredav
@@ -23,7 +23,7 @@ if [ -d /proc/cygdrive ]; then
esac
fi
-export COMPOSER_BIN_DIR=$(cd "${self%[/\\]*}" > /dev/null; pwd)
+export COMPOSER_RUNTIME_BIN_DIR="$(cd "${self%[/\\]*}" > /dev/null; pwd)"
# If bash is sourcing this file, we have to source the target as well
bashSource="$BASH_SOURCE"
diff --git a/vendor/bin/vobject b/vendor/bin/vobject
index 0097f5a5c..0a78d4965 100755
--- a/vendor/bin/vobject
+++ b/vendor/bin/vobject
@@ -108,7 +108,10 @@ if (PHP_VERSION_ID < 80000) {
}
}
- if (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper')) {
+ if (
+ (function_exists('stream_get_wrappers') && in_array('phpvfscomposer', stream_get_wrappers(), true))
+ || (function_exists('stream_wrapper_register') && stream_wrapper_register('phpvfscomposer', 'Composer\BinProxyWrapper'))
+ ) {
include("phpvfscomposer://" . __DIR__ . '/..'.'/sabre/vobject/bin/vobject');
exit(0);
}